import http from "@/api";
import { ResPage } from "@/api/interface/index";
/**
 * @name 收货入库
 */
//入库任务列表
export const getInStockTaskListApi = (params: Record<string, any>) => {
    return http.post<ResPage<any>>(`InStockTask/GetList`, params);
};
//入库单列表
export const getInStockListApi = (params: Record<string, any>) => {
    return http.post<ResPage<any>>(`InStock/GetList`, params);
};
//入库单详情
export const getDetailsApi = (id: any) => {
    return http.get<any>(`InStock/GetInfo/${id}`);
};
export const getTaskDetailsApi = (id: any) => {
    return http.get<any>(`InStockTask/GetInfo/${id}`);
};
//同步成功
export const getInStockSyncSuccessApi = (params: Record<string, any>) => {
    return http.post<ResPage<any>>(`InStock/SyncSuccess`, params);
};
